Delete a Remote Access Channel

Delete an existing remote access channel of a specific device.

Request URL

DELETE {base_url}/device/openapi/v1/devices/{deviceId}/remote-access-channels/{channelToken}

Request Parameters

Table 1. Header Parameters
Parameter Required Type Description
Authorization Yes String The valid access token for making API calls.

The format should be Bearer {access_token}.

Table 2. Path Parameters
Parameter Required Type Description
deviceId Yes Long The unique ID of this device, which is returned when you add the device.
Note: If you did NOT save the deviceID, you can query the device's ID using Search Specific Devices.
channelToken Yes String The token of the remote access channel to be deleted. You can obtain it through the Query Remote Access Channels API.

Response Parameters

Parameter Type Description
status String The result of the API request.
  • Success
  • Failed
requestId String The unique ID of the request, which can be used to quickly locate the request.
Note: No data field is returned for this API.

Examples

Request example
Delete the remote access channel with the token "f8a2c9e14d7b4036a1e5c2d8f90b3a7c" of the device with ID "1737007595605147649".
DELETE /device/openapi/v1/devices/1737007595605147649/remote-access-channels/f8a2c9e14d7b4036a1e5c2d8f90b3a7c HTTP/1.1
Host: demo.milesight.com
Authorization: Bearer {access_token}
Response example
HTTP/1.1 200 OK

{
    "status": "Success",
    "requestId": "9d3c71b0e2f84a56b7c8d1e0f4a5b6c7"
}